---
title: llarp::sys::NOP_SystemLayerHandler

---

# llarp::sys::NOP_SystemLayerHandler





Inherits from [llarp::sys::I_SystemLayerManager](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| virtual void | **[report_changed_state](Classes/classllarp_1_1sys_1_1NOP__SystemLayerHandler.md#function-report-changed-state)**() override<br>report our current state to the system layer  |
| virtual void | **[system_changed_our_state](Classes/classllarp_1_1sys_1_1NOP__SystemLayerHandler.md#function-system-changed-our-state)**(ServiceState st) override<br>system told us to enter this state  |

## Protected Functions

|                | Name           |
| -------------- | -------------- |
| virtual void | **[we_changed_our_state](Classes/classllarp_1_1sys_1_1NOP__SystemLayerHandler.md#function-we-changed-our-state)**(ServiceState st) override<br>change our state and report it to the system layer  |

## Additional inherited members

**Public Functions inherited from [llarp::sys::I_SystemLayerManager](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md)**

|                | Name           |
| -------------- | -------------- |
| virtual | **[~I_SystemLayerManager](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-~i-systemlayermanager)**() =default |
| void | **[disable](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-disable)**()<br>disable all reporting to system layer  |
| void | **[give_context](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-give-context)**([llarp::Context](Classes/structllarp_1_1Context.md) * ctx)<br>give our current lokinet context to the system layer manager  |
| virtual void | **[report_periodic_stats](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-report-periodic-stats)**()<br>report our stats on each timer tick  |
| void | **[starting](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-starting)**() |
| void | **[ready](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-ready)**() |
| void | **[stopping](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-stopping)**() |
| void | **[stopped](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-stopped)**() |
| void | **[failed](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-failed)**() |

**Protected Attributes inherited from [llarp::sys::I_SystemLayerManager](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md)**

|                | Name           |
| -------------- | -------------- |
| bool | **[m_disable](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#variable-m-disable)**  |
| [llarp::Context](Classes/structllarp_1_1Context.md) * | **[m_Context](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#variable-m-context)**  |


## Public Functions Documentation

### function report_changed_state

```cpp
inline virtual void report_changed_state() override
```

report our current state to the system layer 

**Reimplements**: [llarp::sys::I_SystemLayerManager::report_changed_state](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-report-changed-state)


### function system_changed_our_state

```cpp
inline virtual void system_changed_our_state(
    ServiceState st
) override
```

system told us to enter this state 

**Reimplements**: [llarp::sys::I_SystemLayerManager::system_changed_our_state](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-system-changed-our-state)


## Protected Functions Documentation

### function we_changed_our_state

```cpp
inline virtual void we_changed_our_state(
    ServiceState st
) override
```

change our state and report it to the system layer 

**Reimplements**: [llarp::sys::I_SystemLayerManager::we_changed_our_state](Classes/classllarp_1_1sys_1_1I__SystemLayerManager.md#function-we-changed-our-state)


-------------------------------

Updated on 2023-04-27 at 04:17:17 +0000